## cgsi-gsoap 1.3.10

=== CMakeLists.txt ===
## cmake build script for cgsi GSOAP
## @author Devresse Adrien

project (cgsi-gsoap)
cmake_minimum_required (VERSION 2.6)

# build type
set(CMAKE_BUILD_TYPE "RelWithDebInfo"
    CACHE STRING "build type")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
# load module
include(DefineInstallationPaths REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)

find_package(PkgConfig REQUIRED)

#enable testing
INCLUDE(CTest)


set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
set(VERSION_MAJOR 1)
set(VERSION_MINOR 3)
set(VERSION_PATCH 10)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})


# libs checks
find_package(gSOAP REQUIRED)
find_package(VOMS REQUIRED)
find_package(Globus_COMMON REQUIRED)
find_package(Globus_GSSAPI_GSI REQUIRED)
find_package(Globus_GSS_ASSIST REQUIRED)
find_package(Globus_GSI_CERT_UTILS REQUIRED)
find_package(Globus_GSI_CREDENTIAL REQUIRED)
find_package(Globus_OPENSSL REQUIRED)


## general def
add_definitions(-D_GNU_SOURCE)
add_definitions(-D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64)

install(FILES README readme.html
    DESTINATION ${DOC_INSTALL_DIR}/)
install(FILES RELEASE-NOTES
		DESTINATION ${DOC_INSTALL_DIR}/)
install(FILES LICENSE
		DESTINATION ${DOC_INSTALL_DIR}/)

add_subdirectory (src)

=== solaris/Makefile ===
#
# Copyright (c) Members of the EGEE Collaboration. 2006-2010.
# See http://public.eu-egee.org/partners/ for details on 
# the copyright holders.
# For license conditions see the license file or
# http://www.apache.org/licenses/LICENSE-2.0
#
# Authors: 
#      Jean-Philippe Baud <Jean-Philippe.Baud@cern.ch>
#

default: all

ifndef VERSION
include ../VERSION
endif

ifndef RELEASE_SUFFIX
RELEASE_SUFFIX=sol10-x86
endif

VPACKAGE=CGSI-gSOAP27-$(VERSION)
VPACKAGE_TAR=$(VPACKAGE).tar.gz

all: CGSI-gSOAP27
	mkdir -p ../RPMS
	cp build-*/RPMS/*-sol10-x86 ../RPMS/

CGSI-gSOAP27: build-pkg 
	cd build-pkg/BUILD; \
	rm -rf $(VPACKAGE); \
	gtar -xzf ../SOURCES/$(VPACKAGE_TAR)
	BUILD_ROOT=$(PWD)/build-pkg/BUILD/$(VPACKAGE)-root; \
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib:$(LD_LIBRARY_PATH); export LD_LIBRARY_PATH; \
	(cd build-pkg/BUILD/$(VPACKAGE); \
	./configure ${EXTRA_CONFIGURE_OPTIONS}; \
	gmake; \
	gmake install PREFIX=$$BUILD_ROOT; \
	gmake install.man PREFIX=$$BUILD_ROOT); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.dev -v $(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.nonvoms -v $(VERSION) VERSION=$(VERSION); \
	pkgmk -o -b$$BUILD_ROOT -f prototype.voms -v $(VERSION) VERSION=$(VERSION)
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/CGSI-gSOAP27-dev-$(VERSION)-$(RELEASE_SUFFIX) CGSI-gSOAP27-dev
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/CGSI-gSOAP27-$(VERSION)-$(RELEASE_SUFFIX) CGSI-gSOAP27
	pkgtrans -o -s /var/spool/pkg $(PWD)/build-pkg/RPMS/CGSI-gSOAP27-voms-$(VERSION)-$(RELEASE_SUFFIX) CGSI-gSOAP27-voms

build-pkg: $(VPACKAGE_TAR)
	mkdir -p build-pkg
	mkdir -p build-pkg/BUILD
	mkdir -p build-pkg/RPMS
	mkdir -p build-pkg/SOURCES
	cp $(VPACKAGE_TAR) build-pkg/SOURCES

$(VPACKAGE_TAR):
	cd ..; \
	rm -rf $(VPACKAGE); \
	mkdir -p $(VPACKAGE); \
	cp -rp configure RELEASE-NOTES VERSION src $(VPACKAGE)/; \
	find $(VPACKAGE)/ -name .svn -exec rm -rf {} \;; \
	gtar -czf $(VPACKAGE_TAR) $(VPACKAGE); \
	rm -rf $(VPACKAGE)
	mv ../$(VPACKAGE_TAR) .

clean:
	rm -rf $(VPACKAGE_TAR) build-pkg

distclean:
	rm -rf ../RPMS

=== test/Makefile ===
##
# $id: $
##

ifeq ($(SRCDIR), $(EMPTY))
SRCDIR=.
else
VPATH=.:$(SRCDIR)
endif


################################################################################
## implicit rule flags ##
SHELL = /bin/sh -e
CC = gcc
CFLAGS = -Wall -g -fPIC
LDFLAGS =

################################################################################
## project flags ##

ifeq ($(GLOBUS_LOCATION), $(EMPTY))
GLOBUS_LOCATION=/opt/globus
endif

ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
GLOBUS_FLAVOUR = gcc32dbg
endif

GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr

GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR)
GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR) \
	-lglobus_gss_assist_$(GLOBUS_FLAVOUR)
# This is not nice: libtool by hand...
GLOBUS_LIBS += $(shell $(SRCDIR)/libtool $(GLOBUS_LOCATION)/lib/libglobus_gssapi_gsi_$(GLOBUS_FLAVOUR).la)
GLOBUS_LIBS += $(shell $(SRCDIR)/libtool $(GLOBUS_LOCATION)/lib/libglobus_gss_assist_$(GLOBUS_FLAVOUR).la)

GLOBUS_INCLUDE_PTHR = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR_PTHR)
GLOBUS_LIBS_PTHR = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR) \
        -lglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR)
# This is not nice: libtool by hand...
GLOBUS_LIBS_PTHR += $(shell $(SRCDIR)/libtool $(GLOBUS_LOCATION)/lib/libglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR).la)
GLOBUS_LIBS_PTHR += $(shell $(SRCDIR)/libtool $(GLOBUS_LOCATION)/lib/libglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR).la)

LDLIBS += $(GLOBUS_LIBS) 

# handling x86_64's lib64 directory
LIBDIR =lib
ifeq ($(shell uname -m), x86_64)
LIBDIR =lib64
endif

ifeq ($(GSOAP_LOCATION), $(EMPTY))
GSOAP_LOCATION=/usr/local
endif
CFLAGS += -I$(GSOAP_LOCATION)/include
LDLIBS += -L$(GSOAP_LOCATION)/lib -lgsoap

ifeq ($(GSOAP_VERSION), $(EMPTY))
GSOAP_VERSION=_gsoap_2.3
endif

# local references to CGSI-gSOAP
CFLAGS += -I. -I$(SRCDIR) -I$(SRCDIR)/../src

ifeq ($(VOMS_LOCATION), $(EMPTY))
VOMS_LOCATION=/opt/glite
endif

ifneq ($(USE_VOMS), $(EMPTY))
VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR)

VOMS_FLAGS_PTHR = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS_PTHR=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR_PTHR)

CFLAGS += $(VOMS_FLAGS)
LDLIBS += $(VOMS_LIBS)
endif

################################################################################
## compilation targets ##
.PHONY: all

all: cgsi-gsoap-client cgsi-gsoap-server

cgsi_gsoap_test.h: cgsi-gsoap-test.wsdl typemap.dat
	$(GSOAP_LOCATION)/bin/wsdl2h -t $(SRCDIR)/typemap.dat -n cgsi_gsoap_test -c -s -o $@ $<

cgsi_gsoap_testH.h cgsi_gsoap_testClientLib.c cgsi_gsoap_testServerLib.c: cgsi_gsoap_test.h
	$(GSOAP_LOCATION)/bin/soapcpp2 -I$(GSOAP_LOCATION)/include -p cgsi_gsoap_test $<
	# gSOAP 2.6.2 vs 2.7.6b workaround:
	if [ -f cgsi_USCOREgsoap_USCOREtest.nsmap ] ; \
		then mv cgsi_USCOREgsoap_USCOREtest.nsmap cgsi_gsoap_test.nsmap ; \
	fi


cgsi_gsoap_testC.o: cgsi_gsoap_testC.c
	$(CC) -I$(GSOAP_LOCATION)/include -c -o $@ $< 
cgsi_gsoap_testClient.o: cgsi_gsoap_testClient.c
	$(CC) -I$(GSOAP_LOCATION)/include -c -o $@ $< 
cgsi_gsoap_testServer.o: cgsi_gsoap_testServer.c
	$(CC) -I$(GSOAP_LOCATION)/include -c -o $@ $< 

cgsi-gsoap-client.o: cgsi-gsoap-client.c cgsi_gsoap_testH.h
	$(CC) $(CFLAGS) -c -o $@ $<

cgsi-gsoap-client: cgsi-gsoap-client.o cgsi_gsoap_testClient.o cgsi_gsoap_testC.o ../src/libcgsi_plugin$(GSOAP_VERSION).so 
	$(CC) -o $@ $^ $(LDLIBS) 

cgsi-gsoap-server.o: cgsi-gsoap-server.c cgsi_gsoap_testH.h
	$(CC) $(CFLAGS) -c -o $@ $<

cgsi-gsoap-server: cgsi-gsoap-server.o cgsi_gsoap_testServer.o cgsi_gsoap_testC.o ../src/libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so
	$(CC) -o $@ $^ $(LDLIBS) 

clean:
	rm -f *.o *.c *.h *.xml *.nsmap

################################################################################
## test targets ##

test: cgsi-gsoap-client cgsi-gsoap-server
	LD_LIBRARY_PATH=$(GLOBUS_LOCATION)/lib $(SRCDIR)/test-client-server.sh

################################################################################
## maintenance targets ##

test-utils:
	cp -u $(SRCDIR)/../../org.glite.data.test-utils/shunit .
	cp -u $(SRCDIR)/../../org.glite.data.test-utils/glite-test-certs .

=== debian/changelog ===
cgsi-gsoap (1.3.10-5) unstable; urgency=medium

  * Make libgsoap-dev dependency more strict
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 17:43:18 +0100

cgsi-gsoap (1.3.10-4) unstable; urgency=medium

  * The STACK macro was removed in globus-gsi-credential 7.13. Don't use.
    (Closes: 880831)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 06 Nov 2017 12:04:47 +0100

cgsi-gsoap (1.3.10-3) unstable; urgency=medium

  * Migrate to dbgsym package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 13 Jul 2017 11:33:48 +0200

cgsi-gsoap (1.3.10-2) unstable; urgency=medium

  * Rebuild for OpenSSL 1.1.0 (Closes: #828264)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 12:07:30 +0100

cgsi-gsoap (1.3.10-1) unstable; urgency=medium

  * Update to version 1.3.10
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 15:40:51 +0200

=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, libgsoap-dev, voms-dev, doxygen, pkg-config
Standards-Version: 4.1.3
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/cgsi-gsoap
Vcs-Git: https://salsa.debian.org/ellert/cgsi-gsoap.git
HomePage: https://gitlab.cern.ch/dmc/cgsi-gsoap

Package: libcgsi-gsoap1
Provides: cgsi-gsoap1
Replaces: cgsi-gsoap1 (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gsoap:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Provides: cgsi-gsoap-dev
Replaces: cgsi-gsoap-dev (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}, ${gsoap:Depends}
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export SOURCE_DATE_EPOCH = \
	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)

-include /usr/share/dpkg/buildflags.mk

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_datadir = $(_prefix)/share
_docdir = $(_datadir)/doc

configure: configure-stamp

configure-stamp:
	dh_testdir

	[ ! -r src/Makefile.save ] && cp -p src/Makefile src/Makefile.save || :

	# Fix bad permissions
	find . '(' -name '*.h' -o -name '*.c' -o -name '*.cpp' -o \
		   -name '*.cc' ')' -exec chmod 644 {} ';'
	chmod 644 LICENSE RELEASE-NOTES

	# Remove -L/usr/lib and -L/usr/lib64 since they may cause problems
	sed -e 's!-L$$([A-Z_]*)/lib!!' \
	    -e 's!-L$$([A-Z_]*)/$$(LIBDIR)!!' -i src/Makefile

	# Remove gsoap version from library names
	sed -e 's!$$(GSOAP_VERSION)!!g' -i src/Makefile

	touch $@

build: build-indep build-arch

build-indep: build-stamp

build-arch: build-stamp

build-stamp: configure-stamp
	dh_testdir

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib/$(DEB_HOST_MULTIARCH) VERSION=$$VERSION all doc

	touch $@

clean:
	dh_testdir
	dh_testroot

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib/$(DEB_HOST_MULTIARCH) VERSION=$$VERSION clean

	rm -rf src/html
	rm -rf src/man
	rm -f src/doxygen_sqlite3.db

	rm -rf src/*.a
	rm -rf src/*.so

	[ -r src/Makefile.save ] && mv src/Makefile.save src/Makefile || :

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	# Yes, the makefile uses RPM_BUILD_ROOT instead of the normal DESTDIR

	. ./VERSION && \
	cd src && \
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `pkg-config --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		USE_VOMS=yes WITH_EMI=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib/$(DEB_HOST_MULTIARCH) VERSION=$$VERSION \
		RPM_BUILD_ROOT=$(INSTALLDIR) install install.man

	mkdir -p $(INSTALLDIR)$(_docdir)/libcgsi-gsoap-dev
	mv $(INSTALLDIR)$(_docdir)/CGSI/html \
	   $(INSTALLDIR)$(_docdir)/libcgsi-gsoap-dev

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_missing --fail-missing
	dh_installman
	dh_lintian
	dh_link
	dh_strip --dbgsym-migration='libcgsi-gsoap-dbg (<< 1.3.10-3~)'
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps

	if [ -r /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so ] ; then \
	   GSOAPLIB=`readlink /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so` ; \
	else \
	   GSOAPLIB=`readlink /usr/lib/libgsoap.so` ; \
	fi && \
	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1.substvars

	MINGSOAPVER=`dpkg-query -W -f '$${source:Upstream-Version}' libgsoap-dev` && \
	LASTNUM=`echo $$MINGSOAPVER | sed 's/.*\.//'` && \
	LASTNUMP1=$$(($$LASTNUM + 1)) && \
	MAXGSOAPVER=`echo $$MINGSOAPVER | sed s/$$LASTNUM$$/$$LASTNUMP1/` && \
	echo "gsoap:Depends=libgsoap-dev (>= $$MINGSOAPVER), libgsoap-dev (<< $$MAXGSOAPVER)" \
	   >> debian/libcgsi-gsoap-dev.substvars

	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.Phony: binary binary-arch binary-indep build build-arch build-indep clean configure install

## cgsi-gsoap 1.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 10)
+set(VERSION_PATCH 11)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== packaging/Makefile ===
NAME=CGSI-gSOAP
DEB_NAME=cgsi-gsoap
SPEC=rpm/$(NAME).spec
VERSION=${shell grep '^Version:' $(SPEC) | awk '{print $$2}' }
# Leave blank. To be overriden by CI tools.
RELEASE=

CWD=${shell pwd}

RPMBUILD=/tmp/rpmbuild
SRPMS=$(CWD)
RPMS=$(CWD)/out

MOCK_CHROOT=epel-6-cernonly-x86_64
MOCK_FLAGS=--verbose


RPMDEFINES_SRC=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir $(CWD)' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS)' \
	--define='_rpmdir $(RPMS)' \
    --define "_source_filedigest_algorithm md5"

RPMDEFINES_BIN=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir %{_topdir}/SOURCES' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS).' \
	--define='_rpmdir $(RPMS)' \
    --define "_binary_filedigest_algorithm md5"


PBUILDER_FLAGS=
PBUILDER_TMP="/tmp/"


all: srpm

clean:
	rm -fv *.tar.gz
	rm -fv *.rpm
	rm -fv *.log
	rm -rfv out
	rm -rfv "$(RPMBUILD)"
	rm -fv *.gz
	rm -fv *.dsc

dist: clean
	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude-vcs --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..

$(RPMBUILD):
	mkdir -p "$(RPMBUILD)"

override_release: $(SPEC)
	$(if $(RELEASE), sed -i "s/Release:.*/Release: $(RELEASE)%{?dist}/g" "$(SPEC)")

srpm: dist $(SPEC) $(RPMBUILD) override_release
	/usr/bin/rpmbuild --nodeps -bs $(RPMDEFINES_SRC) $(SPEC)

rpm: srpm
	/usr/bin/rpmbuild --rebuild $(RPMDEFINES_BIN) $(NAME)-$(VERSION)-*.src.rpm

mock: srpm
	/usr/bin/mock $(MOCK_FLAGS) -r $(MOCK_CHROOT) $(NAME)-$(VERSION)-*.src.rpm

deb-src: dist
	rm -rf "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	tar xzf "$(NAME)-$(VERSION).tar.gz" -C "$(PBUILDER_TMP)"
	mv "$(PBUILDER_TMP)/$(NAME)-$(VERSION)" "$(PBUILDER_TMP)/$(DEB_NAME)-$(VERSION)"
	cp -rv debian "$(PBUILDER_TMP)/$(DEB_NAME)-$(VERSION)"
	$(if $(RELEASE), sed -ri "s/($(DEB_NAME) )\((([0-9]+\.)+[0-9]+)-[0-9]+\)/\\1(\\2-$(RELEASE))/g" "$(PBUILDER_TMP)/$(DEB_NAME)-$(VERSION)/debian/changelog")
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(PBUILDER_TMP)/$(DEB_NAME)_$(VERSION).orig.tar.gz" 
	cd "$(PBUILDER_TMP)/$(DEB_NAME)-$(VERSION)"; \
		debuild -us -uc -S
	cp -f $(PBUILDER_TMP)/$(DEB_NAME)_$(VERSION)*.gz .
	cp -f $(PBUILDER_TMP)/$(DEB_NAME)_$(VERSION)*.dsc .

deb: deb-src
	pbuilder build $(PBUILDER_FLAGS) $(DEB_NAME)_$(VERSION)*.dsc

=== src/CMakeLists.txt ===
## default set of build
#
# Note: In Darwin (MacOSX), these libraries are generated as static because
#       the gsoap libraries are. If we generate them as dynamic, when trying to link
#       we get undefined errors because those symbols are expected to be defined
#       by the gsoap generated code from a WSDL (for instance, when generating the
#       sources for srm-ifce)

## defaults sources
SET(src_core_csgsi "cgsi_plugin.c")
SET(src_core_cgsi_header "cgsi_plugin.h")
SET(src_core_csgsi_cpp "${CMAKE_CURRENT_BINARY_DIR}/cgsi_plugin.cpp")

# create cpp one
configure_file(
    ${src_core_csgsi} ${src_core_csgsi_cpp}
    COPYONLY
)

# C
# globus
include_directories( " . " " /usr/include/voms "
    ${GSOAP_INCLUDES_DIR}
    ${VOMS_INCLUDE_DIRS}
    ${GLOBUS_GSSAPI_GSI_INCLUDE_DIRS}
    ${GLOBUS_GSS_ASSIST_INCLUDE_DIRS}
	${GLOBUS_OPENSSL_INCLUDE_DIRS}
)
add_definitions(${GSOAP_DEFINITIONS} ${GLOBUS_GSSAPI_GSI_DEFINITIONS} ${GLOBUS_GSS_ASSIST_DEFINITIONS})

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin STATIC ${src_core_csgsi})
else ()
    add_library(cgsi_plugin SHARED ${src_core_csgsi})
endif ()

target_link_libraries(cgsi_plugin
    ${GLOBUS_COMMON_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${GLOBUS_GSI_CERT_UTILS_LIBRARIES}
    ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
	${GLOBUS_OPENSSL_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
    SOVERSION ${VERSION_MAJOR}
    CLEAN_DIRECT_OUTPUT 1
    OUTPUT_NAME "cgsi_plugin"						
)

# voms
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_voms STATIC ${src_core_csgsi})
else ()
    add_library(cgsi_plugin_voms SHARED ${src_core_csgsi})
endif ()

target_link_libraries(cgsi_plugin_voms
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${VOMS_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_voms PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
	SOVERSION ${VERSION_MAJOR}
	CLEAN_DIRECT_OUTPUT 1
	COMPILE_FLAGS " -DUSE_VOMS " 
	OUTPUT_NAME "cgsi_plugin_voms"						
)


## C++
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_cpp STATIC ${src_core_csgsi_cpp})
else ()
    add_library(cgsi_plugin_cpp SHARED ${src_core_csgsi_cpp})
endif ()

target_link_libraries(cgsi_plugin_cpp
    ${GLOBUS_COMMON_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    ${GLOBUS_GSI_CERT_UTILS_LIBRARIES}
    ${GLOBUS_GSI_CREDENTIAL_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_cpp PROPERTIES
    VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
    SOVERSION ${VERSION_MAJOR}
    CLEAN_DIRECT_OUTPUT 1
    OUTPUT_NAME "cgsi_plugin_cpp"						
)

# voms
if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_library(cgsi_plugin_voms_cpp STATIC ${src_core_csgsi_cpp})
else ()
    add_library(cgsi_plugin_voms_cpp SHARED ${src_core_csgsi_cpp})
endif ()

target_link_libraries(cgsi_plugin_voms_cpp
    ${VOMS_LIBRARIES}
    ${GLOBUS_GSSAPI_GSI_LIBRARIES}
    ${GLOBUS_GSS_ASSIST_LIBRARIES}
    "c"
)

set_target_properties(cgsi_plugin_voms_cpp PROPERTIES
	VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}
	SOVERSION ${VERSION_MAJOR}
	CLEAN_DIRECT_OUTPUT 1
	COMPILE_FLAGS " -DUSE_VOMS " 
	OUTPUT_NAME "cgsi_plugin_voms_cpp"						
)

install(TARGETS cgsi_plugin cgsi_plugin_voms cgsi_plugin_cpp cgsi_plugin_voms_cpp
		RUNTIME       DESTINATION ${BIN_INSTALL_DIR}
		LIBRARY       DESTINATION ${LIB_INSTALL_DIR}
        ARCHIVE       DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES 	"cgsi_plugin.h"
		DESTINATION ${INCLUDE_INSTALL_DIR}/)

=== src/Makefile ===
##
# $Id$
##

ifeq ($(SRCDIR), $(EMPTY))
SRCDIR=.
else
VPATH=.:$(SRCDIR)
endif


################################################################################
## implicit rule flags ##
SHELL = /bin/sh
CC = gcc
CPP = g++
CFLAGS = -Wall -g -fPIC
LDFLAGS =
RANLIB = ranlib
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc 

# gSOAP 2.7.10 has introduced a virtual destructor, which inserts
# a pointer to the VMT at the beginning of the 'soap' structure,
# making the C and C++ versions of the code binary incompatible,
# so we need to build C++ flavour of the libraries as well:
#WITH_CPP_LIBS = yes

################################################################################
## project flags ##

ifeq ($(GLOBUS_LOCATION), $(EMPTY))
ifeq ($(WITH_EMI), $(EMPTY))
GLOBUS_LOCATION=/opt/globus
else
GLOBUS_LOCATION=/usr
endif
endif

ifeq ($(GLOBUS_FLAVOUR), $(EMPTY))
GLOBUS_FLAVOUR = gcc32dbg
endif

GLOBUS_FLAVOUR_PTHR=$(GLOBUS_FLAVOUR)pthr

ifeq ($(GSOAP_LOCATION), $(EMPTY))
ifeq ($(WITH_EMI), $(EMPTY))
GSOAP_LOCATION=/usr/local
else
GSOAP_LOCATION=/usr
endif
endif
GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include

ifeq ($(GSOAP_VERSION), $(EMPTY))
GSOAP_VERSION=_gsoap_2.7
endif

LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
endif

ifneq ($(WITH_EMI), $(EMPTY))
GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(LIBDIR)/globus/include
GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/$(LIBDIR) -lglobus_gssapi_gsi -lglobus_gss_assist

ifneq ($(USE_VOMS), $(EMPTY))
LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).a
SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).so
ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a
SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so
endif
endif
else
GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR)
GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR) \
	-lglobus_gss_assist_$(GLOBUS_FLAVOUR)

GLOBUS_INCLUDE_PTHR = -I$(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOUR_PTHR)
GLOBUS_LIBS_PTHR = -L$(GLOBUS_LOCATION)/lib -lglobus_gssapi_gsi_$(GLOBUS_FLAVOUR_PTHR) \
        -lglobus_gss_assist_$(GLOBUS_FLAVOUR_PTHR)

ifneq ($(USE_VOMS), $(EMPTY))
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so 
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so
ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a
LIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so 
SHLIBFILES += libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so
endif
endif
endif

# major version number for shared library names
VMAJOR=$(shell echo $(VERSION) | cut -f1 -d.)


# initial settings
CFLAGS += -I. -I$(SRCDIR) $(GSOAP_INCLUDE)

ifeq ($(VOMS_LOCATION), $(EMPTY))
ifeq ($(WITH_EMI), $(EMPTY))
VOMS_LOCATION=/opt/glite
else
VOMS_LOCATION=/usr
endif
endif

ifeq ($(LIBDIR), $(EMPTY))
LIBDIR=lib
endif

ifneq ($(USE_VOMS), $(EMPTY))
ifneq ($(WITH_EMI), $(EMPTY))
VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/voms
VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi
else
VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR)

VOMS_FLAGS_PTHR = -DUSE_VOMS -I$(VOMS_LOCATION)/include/glite/security/voms
VOMS_LIBS_PTHR=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi_$(GLOBUS_FLAVOUR_PTHR)
endif
endif

#CFLAGS += $(VOMS_FLAGS)
#LDLIBS += $(VOMS_LIBS)

# NO ! the libs should not be added at link time so that the
#users of CGSI_GSOAP can choose the ones they need to use
#SHLIBREQLIBS += $(LDLIBS)

################################################################################
## compilation targets ##
.PHONY: all

all: $(LIBFILES) $(SHLIBFILES)

# dependencies
cgsi_plugin.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION).a: cgsi_plugin.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION).so: cgsi_plugin.o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)


ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION)_cpp.a: cgsi_plugin_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION)_cpp.so: cgsi_plugin_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)
endif

ifneq ($(USE_VOMS), $(EMPTY))
cgsi_plugin_voms.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION).a: cgsi_plugin_voms.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION).so: cgsi_plugin_voms.o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR).so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR).o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS_PTHR)  $(GLOBUS_INCLUDE_PTHR) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR).so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR).o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS_PTHR)

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_voms_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a: cgsi_plugin_voms_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so: cgsi_plugin_voms_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR)_cpp.so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR)_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CPP) $(CFLAGS) $(VOMS_FLAGS_PTHR)  $(GLOBUS_INCLUDE_PTHR) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.a: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_$(GLOBUS_FLAVOUR_PTHR)_cpp.so: cgsi_plugin_voms_$(GLOBUS_FLAVOUR_PTHR)_cpp.o
	$(CPP) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS_PTHR) $(VOMS_LIBS)
endif

endif

doc: doxygenConfig
	SRCDIR=$(SRCDIR) VERSION=$(VERSION) doxygen $<

###############################################
## THIS IS STANDARD Makefile BELOW THIS LINE ##
###############################################

################################################################################

# Usage example: make install PREFIX=/usr/local

# installation directories defaults are generic unix
PPREFIX=/usr
PREFIX =$(RPM_BUILD_ROOT)$(PPREFIX)# could be /usr/local but you may not have perms
INCDIR =include
BINDIR =bin
MANDIR =share
DOCDIR =share/doc/CGSI$(GSOAP_VERSION)

INCFILES =cgsi_plugin.h

INSTALL_FLAGS =

# install targets
ifneq ($(USE_VOMS), $(EMPTY))
installtargets = installinc installlib installbin installman installdoc installshlib installshlibvoms installshlibvomspthr
else
installtargets = installinc installlib installbin installman installdoc installshlib
endif

.PHONY: uninstall install $(installtargets)
install: $(INCFILES) $(LIBFILES) $(SHLIBFILES)
	install -d $(PREFIX)/$(INCDIR)
	for i in $(INCFILES); do cp $(SRCDIR)/$$i $(PREFIX)/$(INCDIR); done
	install -d $(PREFIX)/$(LIBDIR)
	for l in $(LIBFILES); do cp $$l $(PREFIX)/$(LIBDIR)/$$l; done
	for l in $(SHLIBFILES); do \
		cp $$l $(PREFIX)/$(LIBDIR)/$$l.$(VERSION); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l.$(VMAJOR)); \
		done
install.man: doc
	mkdir -p $(PREFIX)/share
	cp -r man $(PREFIX)/share/
	mkdir -p $(PREFIX)/$(DOCDIR)
	cp -r html $(PREFIX)/$(DOCDIR)/


################################################################################
## clean up ##
.PHONY: clean
clean:
# files vars are specified in install
	-$(RM) *.o $(LIBFILES) $(SHLIBFILES)


################################################################################
## help ## OK now I am going really over the top here :)
.PHONY: help
help:
	@echo -e "\n" \
	"\ttarget\t| description \n" \
	"\t================================================================\n" \
	"\tall\t| Makes the gsoap binaries.\n" \
	"\t\t|\n" \

=== debian/changelog ===
cgsi-gsoap (1.3.11-5) unstable; urgency=medium

  * Restore gsoap library dependency lost during package rename

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Mar 2024 06:59:33 +0100

cgsi-gsoap (1.3.11-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062052

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:27:22 +0000

cgsi-gsoap (1.3.11-4) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 29 Jan 2024 23:27:43 +0100

cgsi-gsoap (1.3.11-3) unstable; urgency=medium

  * Split out doxygen generated documentation to a documation package
    - This avoids multi-arch file conflicts in the dev package
  * Update lintian overrides
  * Fix man page typos reported by lintian

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Jan 2024 21:32:05 +0100

cgsi-gsoap (1.3.11-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 13
  * Drop ancient Provides/Replaces/Conflicts
  * Clean up the makefile (send merge request upstream)
  * Fix FTCBFS (Closes: #978125)
    - Use architecture aware $(PKG_CONFIG) instead of pkg-config
    - Use dh_auto_build instead of $(MAKE)
    - Use CXX instead of CPP as the makefile variable for the C++ compiler

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Jan 2021 12:44:32 +0100

cgsi-gsoap (1.3.11-1) unstable; urgency=medium

  * Update to version 1.3.11
  * Drop CGSI-gSOAP-gsi-credential.patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 12 Jun 2018 09:40:13 +0200

=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 libglobus-gss-assist-dev,
 libglobus-gssapi-gsi-dev,
 libgsoap-dev,
 voms-dev,
 doxygen,
 pkgconf
Standards-Version: 4.6.2
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/cgsi-gsoap
Vcs-Git: https://salsa.debian.org/ellert/cgsi-gsoap.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/cgsi-gsoap.html

Package: libcgsi-gsoap1t64
Provides: ${t64:Provides}
Replaces: libcgsi-gsoap1
Breaks: libcgsi-gsoap1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${gsoap:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcgsi-gsoap1t64 (= ${binary:Version}),
 ${misc:Depends},
 ${gsoap:Depends}
Suggests:
 libcgsi-gsoap-doc (= ${source:Version})
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.

Package: libcgsi-gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces:
 libcgsi-gsoap-dev (<< 1.3.11-3~)
Breaks:
 libcgsi-gsoap-dev (<< 1.3.11-3~)
Depends:
 ${misc:Depends}
Description: GSI plugin for gSOAP - documentation files
 This package provides the documentation for programming with the cgsi-gsoap
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# For PKG_CONFIG
include /usr/share/dpkg/buildtools.mk

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:

override_dh_auto_build:
	dh_auto_build -- USE_VOMS=yes WITH_CPP_LIBS=yes \
		CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `$(PKG_CONFIG) --cflags gsoap`" \
		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
		LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		all doc

override_dh_auto_clean:
	dh_auto_clean -- USE_VOMS=yes WITH_CPP_LIBS=yes

override_dh_auto_install:
	dh_auto_install -- USE_VOMS=yes WITH_CPP_LIBS=yes \
		LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		DOCDIR=share/doc/libcgsi-gsoap-dev \
		install.man

override_dh_gencontrol:
	GSOAPLIB=`realpath /usr/lib/$(DEB_HOST_MULTIARCH)/libgsoap.so` && \
	GSOAPPKG=`dpkg -S $$GSOAPLIB | sed 's/:.*//'` && \
	echo "gsoap:Depends=$$GSOAPPKG" >> debian/libcgsi-gsoap1t64.substvars

	MINGSOAPVER=`dpkg-query -W -f '$${source:Upstream-Version}' libgsoap-dev:$(DEB_HOST_ARCH)` && \
	LASTNUM=`echo $$MINGSOAPVER | sed 's/.*\.//'` && \
	LASTNUMP1=$$(($$LASTNUM + 1)) && \
	MAXGSOAPVER=`echo $$MINGSOAPVER | sed s/$$LASTNUM$$/$$LASTNUMP1/` && \
	echo "gsoap:Depends=libgsoap-dev (>= $$MINGSOAPVER), libgsoap-dev (<< $$MAXGSOAPVER)" \
	   >> debian/libcgsi-gsoap-dev.substvars

	dh_gencontrol

## cgsi-gsoap 1.3.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 11)
+set(VERSION_PATCH 12)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== packaging/Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	rm -fv *.dsc
 
 dist: clean
-	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude-vcs --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..
+	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude-vcs --exclude=".git*" --exclude="*.pyc" --transform="s,^,$(NAME)-$(VERSION)/," ..
 
 $(RPMBUILD):
 	mkdir -p "$(RPMBUILD)"

=== src/Makefile ===
##
# $Id$
##

ifeq ($(SRCDIR), $(EMPTY))
SRCDIR=.
else
VPATH=.:$(SRCDIR)
endif

include ../VERSION

################################################################################
## implicit rule flags ##
SHELL = /bin/sh
CC = gcc
CXX = g++
CFLAGS = -Wall -g -fPIC
LDFLAGS =
RANLIB = ranlib
SHLIBLDFLAGS = -shared
SHLIBREQLIBS = -lc 

# gSOAP 2.7.10 has introduced a virtual destructor, which inserts
# a pointer to the VMT at the beginning of the 'soap' structure,
# making the C and C++ versions of the code binary incompatible,
# so we need to build C++ flavour of the libraries as well:
#WITH_CPP_LIBS = yes

################################################################################
## project flags ##

ifeq ($(GLOBUS_LOCATION), $(EMPTY))
GLOBUS_LOCATION=/usr
endif

ifeq ($(GSOAP_LOCATION), $(EMPTY))
GSOAP_LOCATION=/usr
endif
GSOAP_INCLUDE=-I$(GSOAP_LOCATION)/include

ifeq ($(GSOAP_VERSION), $(EMPTY))
GSOAP_VERSION=
endif

LIBFILES =libcgsi_plugin$(GSOAP_VERSION).a 
SHLIBFILES =libcgsi_plugin$(GSOAP_VERSION).so

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.a
SHLIBFILES +=libcgsi_plugin$(GSOAP_VERSION)_cpp.so
endif

GLOBUS_INCLUDE = -I$(GLOBUS_LOCATION)/include/globus -I$(GLOBUS_LOCATION)/$(LIBDIR)/globus/include
GLOBUS_LIBS = -L$(GLOBUS_LOCATION)/$(LIBDIR) \
	-lglobus_gss_assist \
	-lglobus_gssapi_gsi \
	-lglobus_gsi_credential \
	-lglobus_gsi_cert_utils \
	-lglobus_openssl \
	-lglobus_common -lpthread -lssl -lcrypto

ifneq ($(USE_VOMS), $(EMPTY))
LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).a
SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION).so
ifneq ($(WITH_CPP_LIBS), $(EMPTY))
LIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a
SHLIBFILES +=libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so
endif
endif

# major version number for shared library names
VMAJOR=$(shell echo $(VERSION) | cut -f1 -d.)


# initial settings
CFLAGS += -I. -I$(SRCDIR) $(GSOAP_INCLUDE)

ifeq ($(VOMS_LOCATION), $(EMPTY))
VOMS_LOCATION=/usr
endif

ifeq ($(LIBDIR), $(EMPTY))
LIBDIR=lib
endif

ifneq ($(USE_VOMS), $(EMPTY))
VOMS_FLAGS = -DUSE_VOMS -I$(VOMS_LOCATION)/include/voms
VOMS_LIBS=-L$(VOMS_LOCATION)/$(LIBDIR) -lvomsapi
endif

#CFLAGS += $(VOMS_FLAGS)
#LDLIBS += $(VOMS_LIBS)

# NO ! the libs should not be added at link time so that the
#users of CGSI_GSOAP can choose the ones they need to use
#SHLIBREQLIBS += $(LDLIBS)

################################################################################
## compilation targets ##
.PHONY: all

all: $(LIBFILES) $(SHLIBFILES)

# dependencies
cgsi_plugin.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION).a: cgsi_plugin.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION).so: cgsi_plugin.o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)


ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CXX) $(CFLAGS) $(GLOBUS_INCLUDE)  -c -o $@ $<

libcgsi_plugin$(GSOAP_VERSION)_cpp.a: cgsi_plugin_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin$(GSOAP_VERSION)_cpp.so: cgsi_plugin_cpp.o
	$(CXX) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS)
endif

ifneq ($(USE_VOMS), $(EMPTY))
cgsi_plugin_voms.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CC) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION).a: cgsi_plugin_voms.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION).so: cgsi_plugin_voms.o
	$(CC) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)

ifneq ($(WITH_CPP_LIBS), $(EMPTY))
cgsi_plugin_voms_cpp.o: cgsi_plugin.c cgsi_plugin.h cgsi_plugin_int.h
	$(CXX) $(CFLAGS) $(VOMS_FLAGS)  $(GLOBUS_INCLUDE) -c -o $@ $<

libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.a: cgsi_plugin_voms_cpp.o
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@

libcgsi_plugin_voms$(GSOAP_VERSION)_cpp.so: cgsi_plugin_voms_cpp.o
	$(CXX) $(SHLIBLDFLAGS) -Wl,-soname,$@.$(VMAJOR) -o $@ $? $(SHLIBREQLIBS) $(GLOBUS_LIBS) $(VOMS_LIBS)
endif
endif

doc: doxygenConfig
	SRCDIR=$(SRCDIR) VERSION=$(VERSION) doxygen $<
	touch doc

###############################################
## THIS IS STANDARD Makefile BELOW THIS LINE ##
###############################################

################################################################################

# Usage example: make install PREFIX=/usr/local

# installation directories defaults are generic unix
PPREFIX=/usr
PREFIX =$(DESTDIR)$(PPREFIX)# could be /usr/local but you may not have perms
INCDIR =include
BINDIR =bin
MANDIR =share
DOCDIR =share/doc/CGSI$(GSOAP_VERSION)

INCFILES =cgsi_plugin.h

INSTALL_FLAGS =

.PHONY: uninstall install install.man
install: $(INCFILES) $(LIBFILES) $(SHLIBFILES)
	install -d $(PREFIX)/$(INCDIR)
	for i in $(INCFILES); do cp $(SRCDIR)/$$i $(PREFIX)/$(INCDIR); done
	install -d $(PREFIX)/$(LIBDIR)
	for l in $(LIBFILES); do cp $$l $(PREFIX)/$(LIBDIR)/$$l; done
	for l in $(SHLIBFILES); do \
		cp $$l $(PREFIX)/$(LIBDIR)/$$l.$(VERSION); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l); \
		(cd $(PREFIX)/$(LIBDIR); ln -sf $$l.$(VERSION) $$l.$(VMAJOR)); \
		done
install.man: doc
	mkdir -p $(PREFIX)/share
	cp -r man $(PREFIX)/share/
	mkdir -p $(PREFIX)/$(DOCDIR)
	cp -r html $(PREFIX)/$(DOCDIR)/


################################################################################
## clean up ##
.PHONY: clean
clean:
# files vars are specified in install
	-$(RM) *.o $(LIBFILES) $(SHLIBFILES)
	-$(RM) -rf man html doc


################################################################################
## help ## OK now I am going really over the top here :)
.PHONY: help
help:
	@echo -e "\n" \
	"\ttarget\t| description \n" \
	"\t================================================================\n" \
	"\tall\t| Makes the gsoap binaries.\n" \
	"\t\t|\n" \

=== debian/changelog ===
cgsi-gsoap (1.3.12-1build1) plucky; urgency=medium

  * Rebuild against latest gsoap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 12:29:22 -0500

cgsi-gsoap (1.3.12-1) unstable; urgency=medium

  * Update to version 1.3.12
  * Drop patches (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 04 Aug 2024 18:16:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- USE_VOMS=yes WITH_CPP_LIBS=yes \
+		CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `$(PKG_CONFIG) --cflags gsoap`" \
+		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
 		DOCDIR=share/doc/libcgsi-gsoap-dev \
 		install.man
